This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 212351 - Please remove /var/xen/dump
Please remove /var/xen/dump
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks: 212558
  Show dependency treegraph
 
Reported: 2006-10-26 10:30 EDT by Daniel Walsh
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: xen-3.0.3-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 14:12:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch sent upstream (1.58 KB, patch)
2006-10-26 11:54 EDT, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Daniel Walsh 2006-10-26 10:30:59 EDT
Description of problem:

Why do we have so many places where xen can write to on the /var partition.  
Please change this to /var/lib/xen/dump for some consistency and to make writing
SELinux policy easier.  xen can already write to /var/lib/xen and its
subdirectories in selinux-policy but is not allowed to write to /var/xen/dump.
Comment 1 Jeremy Katz 2006-10-26 11:54:42 EDT
Created attachment 139477 [details]
patch sent upstream

Sent the trivial patch upstrema to change the default dumpdir.
Comment 2 Brian Stein 2006-10-26 17:08:21 EDT
Jeremy - did you already clone this for RHEL?
Comment 3 Daniel Berrange 2007-01-11 15:50:55 EST
The updated RPM  xen-3.0.3-3.fc6  just pushed to updates-testing has moved the
core dump directory to /var/lib/xen/dumps. This should resolve the AVC denial issue.

Note You need to log in before you can comment on or make changes to this bug.